> ## Documentation Index
> Fetch the complete documentation index at: https://docs.judit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar uma requisição

> Esse endpoint realiza consulta de dados cadastrais por CPF, nome ou RJI



## OpenAPI

````yaml POST /entities
openapi: 3.0.0
info:
  title: JUDIT - Lawsuits API
  version: v1.28.8
servers: []
security: []
paths:
  /entities:
    post:
      tags:
        - Dados Cadastrais
      summary: Dados cadastrais
      description: |-
        Busca dados cadastrais e de identificação de pessoa ou empresa 
         
                    conforme tipo e chave de pesquisa informados.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Entities.Body.Post'
            example:
              search:
                search_type: cpf
                search_key: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entities.Response.Post'
        '401':
          description: Unauthorized - Missing or invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpUnauthorizedError'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpInternalServerError'
      security:
        - jwtAuth: []
        - apiKeyAuth: []
components:
  schemas:
    Entities.Body.Post:
      type: object
      properties:
        search:
          type: object
          properties:
            search_type:
              type: string
              enum:
                - cpf
                - cnpj
                - oab
                - name
            search_key:
              type: string
          required:
            - search_type
            - search_key
      required:
        - search
    Entities.Response.Post:
      type: object
      properties:
        has_sanctions:
          default: false
          type: boolean
        request_id:
          type: string
        response_data:
          type: array
          items:
            type: object
            properties:
              sanction_id:
                type: string
              full_name:
                type: string
              nationality:
                type: string
              source:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                      enum:
                        - ofac
                        - onu
                        - eu
                    reference_number:
                      type: string
                    remarks:
                      type: string
                    url:
                      type: string
                    since:
                      type: string
                      format: date-time
                    last_updated:
                      type: string
                      format: date-time
                  required:
                    - name
                    - url
                    - last_updated
              tags:
                type: object
                additionalProperties:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
                    - type: string
                      format: date-time
                    - {}
            required:
              - sanction_id
              - full_name
              - source
      required:
        - has_sanctions
        - request_id
        - response_data
    HttpUnauthorizedError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpUnauthorizedError
            message:
              type: string
              example: UNAUTHORIZED
            stack:
              type: string
            data:
              type: string
              example: User must be authenticated
    HttpForbiddenError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpForbiddenError
            message:
              type: string
              example: FORBIDDEN
            stack:
              type: string
            data:
              type: string
              example: Authenticated user is not authorized
    HttpInternalServerError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpInternalServerError
            message:
              type: string
              example: INTERNAL_SERVER_ERROR
            stack:
              type: string
            data:
              type: object
              example:
                message: Database connection failed
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token for authentication
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key for authentication

````